org.jbpm.process.instance.impl

## Class JavaScriptReturnValueEvaluator

- java.lang.Object
- - org.jbpm.process.instance.impl.JavaScriptReturnValueEvaluator

- All Implemented Interfaces:
    Externalizable, Serializable, ReturnValueEvaluator

      public class JavaScriptReturnValueEvaluator
      extends Object
      implements ReturnValueEvaluator, Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptReturnValueEvaluator()`
    `JavaScriptReturnValueEvaluator(String expr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(org.kie.api.runtime.process.ProcessContext context)`
    `void` | `readExternal(ObjectInput in)`
    `String` | `toString()`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptReturnValueEvaluator

          public JavaScriptReturnValueEvaluator()

    - #### JavaScriptReturnValueEvaluator

          public JavaScriptReturnValueEvaluator(String expr)

  - ### Method Detail

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### evaluate

          public Object evaluate(org.kie.api.runtime.process.ProcessContext context)
                          throws Exception

      Specified by:
        `evaluate` in interface `ReturnValueEvaluator`
      Throws:
        `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.